## Class impl_generic

boost::log::attributes::counter::impl_generic

## Synopsis

    // In header: <boost/log/attributes/counter.hpp>

    class impl_generic : public counter< T >::impl {
    public:
      // construct/copy/destruct
      impl_generic(value_type, long);

      // public member functions
      attribute_value get_value();
    };

## Description

### `impl_generic` public construct/copy/destruct

1.     impl_generic(value_type initial, long step);

   Initializing constructor

### `impl_generic` public member functions

1.     attribute_value get_value();